aboutsummaryrefslogtreecommitdiff
path: root/profiling
diff options
context:
space:
mode:
authorAnkush Patel2026-02-17 20:11:19 +1300
committerAnkush Patel2026-02-17 20:15:53 +1300
commit3a5675480b1ac35c938a4776240b16c20ec134ff (patch)
treeeab9331694c76103e1d3b6aa844e6e66afeff38c /profiling
parent8d8fb15f0b3680add1f3b28c062b573a92221ab0 (diff)
Freebsd-support: Change bash shebang to use /usr/bin/env
Diffstat (limited to 'profiling')
-rwxr-xr-xprofiling/ls.bash4
-rwxr-xr-xprofiling/streaming-read.bash4
-rwxr-xr-xprofiling/streaming-write.bash4
-rwxr-xr-xprofiling/tar-extract.bash4
-rwxr-xr-xprofiling/write-trace.bash4
5 files changed, 15 insertions, 5 deletions
diff --git a/profiling/ls.bash b/profiling/ls.bash
index 35f5a39..334d8be 100755
--- a/profiling/ls.bash
+++ b/profiling/ls.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/streaming-read.bash b/profiling/streaming-read.bash
index 86ef942..138148c 100755
--- a/profiling/streaming-read.bash
+++ b/profiling/streaming-read.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/streaming-write.bash b/profiling/streaming-write.bash
index 6f3af56..3c29ee6 100755
--- a/profiling/streaming-write.bash
+++ b/profiling/streaming-write.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/tar-extract.bash b/profiling/tar-extract.bash
index f176368..e98100a 100755
--- a/profiling/tar-extract.bash
+++ b/profiling/tar-extract.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/write-trace.bash b/profiling/write-trace.bash
index 31af492..8b7cec9 100755
--- a/profiling/write-trace.bash
+++ b/profiling/write-trace.bash
@@ -1,8 +1,10 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
#
# Write an execution trace of writing 100MB of data
# to a new gocryptfs mount on /tmp
+set -eu
+
cd "$(dirname "$0")"
T=$(mktemp -d)